# Routing

O sa consideram acuma urmatorul scenariu din figura urmatoare. In marile capitale ale europei
avem mai multe dispozitive. De exemplu, in Londra, avem 4 dispozitive conectate prin Ethernet
(3 calculatoare si un dispozitiv pe care il vom numi **router**). La fel si in Bucuresti.
Dispozitivele numite router sunt conectate printr-un protocol de level 2 de tip Point-to-Point.

![](images/ip_intro.png)

Ce am vrea sa facem este sa trimitem un cadru de la `Host A`, in Londra, la
`Host B`, in Bucuresti. Daca `Host A`, trimite un cadru de nivel 2, in acest
caz **Ethernet** cu adresa destinatie `MAC B`, acesta nu ar fi considerat de
niciunul dintre dispozitive pentru ca nimeni din Londra nu are aceastra adresa
MAC. Daca in schimb, am modifica aceste dispozitive numite **routere** sa stie unde
se afla fiecare adresa MAC din toata europa, cel din Londra ar primi un cadru Ethernet
de la Host A cu destinatia `MAC B` si ar trimite continutul acestuia catre Paris
folosind protocolul de tip PPP dintre acestea. Totusi, intre Londra si Paris
este o conexiune de tip PPP, destinatia se pierde intre aceste conexiuni
deoarce protocoalele de tip PPP nu folosesc o destinatie.

Avem nevoie de un protocol peste nivelul DataLink care sa se ocupe cu
identificarea si transmisia intre ceea ce vom numi de acum **retele** (e.g.
reteaua din Bucuresti). In acest scop, a fost dezvoltat protocolul **IP Protocol
(IP)** de nivel network. Astfel, o **datagrama** IP va fi encapsulata atat in
protocolul Ethernet cat si in PPP, si **routerele** se vor ocupa de transmisie.