## Header UDP

Un segment UDP se numeste **datagrama** si este format dintr-un header
de 8 bytes, urmat de date (In general ne vom referi la datele transmise
de aplicatie drept **payload**) dupa cum putem observa in figura:

```
0      7 8     15 16    23 24    31
+--------+--------+--------+--------+
|     Source      |   Destination   |
|      Port       |      Port       |
+--------+--------+--------+--------+
|                 |                 |
|     Length      |    Checksum     |
+--------+--------+--------+--------+
```

**Portul sursa** este ales random de catre masina sursa a pachetului
dintre porturile libere existente pe acea masina. Este un numar pe 16
biti, intre 0 si 65535. Identifica procesul UDP care a transmis
segmentul.

**Portul destinatie** este portul pe care masina destinatie poate
receptiona pachete. Identifica procesul UDP care va procesa datele
primite.

**Length** este lungimea in octeti (bytes) a datagramei (header size +
data size).

**Checksum** este valoarea sumei de verificare pentru datagrama. In
sectiunea urmatoare este prezentat modul de calcul a checksum-ului
pentru un pachet UDP.

---
**Note**

In cadrul laboratorului nu vom interactiona direct cu header-ul
UDP ci doar cu datele carate prin acest protocol. Vom utiliza un API
care ne va returna continutul unui datagrame UDP primita de catre
sistemul de operare Linux.

---