## connect()

In client, după ce am creat socketul, acesta trebuie să se **conecteze
la server** (e.g. sa initieze si stabileasca un three way handshake).
Pentru asta vom folosi funcția
[connect()](https://beej.us/guide/bgnet/html/#connect):

``` C
#include <sys/types.h>
#include <sys/socket.h>

int connect(int sockfd, const struct sockaddr *addr, socklen_t addrlen);
```

Argumentul *sockfd* este un descriptor de fişier obţinut în urma
apelului *socket()*, *addr* conţine portul şi adresa IP ale serverului,
iar *addrlen* este dimensiunea celui de-al doilea parametru. Ca şi în
cazul celorlate funcţii, rezultatul este -1 în caz de eroare, iar în caz