# Protocolul TCP

TCP (Transport Control Protocol) este un protocol ce furnizează
transmisie garantată (cât timp există conexiune), în ordine și o singură
dată, a octeţilor de la transmiţător la receptor. Acest protocol asigură
stabilirea unei conexiuni între cele două calculatoare pe parcursul
comunicaţiei, și este descris în
[RFC 793](https://tools.ietf.org/html/rfc793). Protocolul TCP are
următoarele proprietăţi:

  - stabilirea unei conexiuni între client și server; serverul va
    aștepta apeluri de conexiune din partea clienților
  - garantarea ordinii primirii mesajelor şi prevenirea pierderii
    pachetelor
  - controlul congestiei (fereastră glisantă)
  - overhead mai mare în comparaţie cu UDP (are un header de 20 Bytes,
    spre deosebire de UDP, care are doar 8 Bytes).