### Testare

Pentru testare vom folosi utilitarele puse la dispozitie de linux pe cei 4 hosti
precum. Vom folosi comanda `ping` pentru a verifica conectivitatea. Reteaua
simulata are urmatoarea structura:

![topology.png](images/topology.png)

Exmplu de output pentru comanda **python topo.py**

```console
root@l4:~/lab4-rezolvare# python topo.py 
*** Error setting resource limits. Mininet's performance may be affected.
*** Creating network
*** Adding controller
*** Adding hosts:
host0 host1 host2 host3 router 
*** Adding switches:

*** Adding links:
(host0, router) (host1, router) (host2, router) (host3, router) 
*** Configuring hosts
host0 host1 host2 host3 router 
*** Starting controller
c0 
*** Starting 0 switches

*** Starting CLI:
mininet>
```
Din terminal vom putea rula terminale pentru fiecare host:

``` Bash
# porneste un terminal pe host
mininet> host1 xterm&
```

Din terminalul deschis de pe host1 vom putea rula `wireshark`

```Bash
# Ruleaza wireshark
sudo wireshark&
```

Implementarea de astazi va rula pe router:
```Bash
mininet> router xterm&
```

Din terminalul routerului, vom rula executabilul pe care il vom dezvolta astazi:
```Bash
make
# Vom putea vedea output-ul de la printf aici
./router
```

Pentru verificare, vom folosi comanda `ping`, daca implementarea
este corecta, vom vedea un output similar cu urmatorul:

```
❯ ping host_ip
PING host_ip (host_ip) 56(84) bytes of data.
64 bytes from host_ip: icmp_seq=1 ttl=58 time=21.2 ms
64 bytes from host_ip: icmp_seq=2 ttl=58 time=21.5 ms
64 bytes from host_ip: icmp_seq=3 ttl=58 time=20.6 ms
```

---
**Note**

Din terminalul unui dispozitiv putem rula `ip address show`
pentru a vedea toate interfetele disponibile si adresele IP
de pe acestea.

---