# Setup

Pentru a simula o retea virtuala vom folosi
[Mininet](http://mininet.org/). Vom avea nevoie de pachetele **mininet**
si **openvswitch-testcontroller** pentru a simula reteaua si
**python-click** si **python-scapy** pentru checker.

```zsh
sudo apt update
sudo apt install mininet openvswitch-testcontroller tshark python3-click python3-scapy xterm
sudo pip3 install mininet
```

Pentru a avea un font mai mare in terminalele deschise de mininet:

```
echo "xterm*font: *-fixed-*-*-*-18-*" >> ~/.Xresources 
xrdb -merge ~/.Xresources
```

---
**NOTE**

* Pe unele versiuni mai vechi de ubuntu este posibil sa
fie nevoie sa instalati `python-click` si `python-scapy` fiind folosit
Python 2.
* Din incercarile noastre, Mininet **nu functioneaza** pe Windows Subsystem
for Linux. Este recomandat sa folositi Linux nativ sau intr-un mediu virtualizat. 

---
