## Header TCP

![](images/tcp_header.png)

Explicaţii header:

  - **portul sursă** este ales random de către maşina sursă a
    pachetului, dintre porturile libere existente pe acea maşină
  - **portul destinaţie** este portul pe care maşina destinaţie poate
    recepţiona pachete
  - **checksum** este valoarea sumei de control pentru un pachet TCP

Pentru a înțelege mai bine cum funcționează protocolul TCP, vom studia o
captura a mesajelor TCP trimise de către chrome la accesarea unui
website folosind
[CloudShark](https://www.cloudshark.org/captures/88b6405ca75d?filter=tcp.stream%20eq%200).
Ne interesează doar pachetele TCP din captura, nu și cele cu TLS
(folosit pentru encriptie peste TCP). Deschideti link-ul anterior.

În primele 3 pachete TCP, putem observă operația de three way handshake
între client (browser) și server. În acest caz, observăm că numărul de
secvență atât la server cât și la client pornește de la 0 (SEQ = 0, ACK
= 0). Următoarele pachete pe care le observăm sunt datele trimise între
cele două entități. Putem observă cum numărul de secvență crește cu
dimensiunea în bytes a mesajelor trimise.

În cadrul laboratorului de astăzi, pentru a realiza conexiunea vom
folosi funcții precum **connect** și **accept**.